Summary:       Mail Retrieval Proxy
Name:          perdition
Version:       1.18
Release:       4
License:       GPLv2+
Group:         Applications/Internet
Source:        http://www.vergenet.net/linux/perdition/%{version}/perdition-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
URL:           http://vergenet.net/linux/perdition/
Patch0:	       %{name}-%{version}-rub.patch

BuildRequires: vanessa_logger-devel >= 0.0.6
BuildRequires: vanessa_adt-devel >= 0.0.6
BuildRequires: vanessa_socket-devel >= 0.0.10
BuildRequires: gdbm-devel
BuildRequires: mysql-devel
BuildRequires: postgresql-devel
BuildRequires: pam-devel
BuildRequires: popt
BuildRequires: zlib-devel
BuildRequires: openssl-devel
BuildRequires: unixODBC-devel
BuildRequires: openldap-devel

Requires(post):  chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts


%description
Perdition is a fully featured POP3 and IMAP4 proxy server. It is able to
handle both SSL and non-SSL connections and redirect users to a
real-server based on a database lookup. Perdition supports modular based
database access. ODBC, MySQL, PostgreSQL, GDBM, POSIX Regular Expression
and NIS modules ship with the distribution. The API for modules is open
allowing abitary modules to be written to allow access to any data store.

Perdition can be used to: Create large mail systems where a users mailbox
may be stored on one of several hosts.  Integrate different mail systems
together. Migrate between different email infastructure. And in firewall
applications.

%package devel
Summary:       Headers and static libraries for perditiondb library development
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
Perdition allows for arbitrary user database access through
shared libraries much in the manner of NSS in glibc. This package
provides headers and libraries that may be useful in the development
of perditiondb libraries.


%package ldap
Summary:       Library to allow perdition to access LDAP based pop maps
Group:         Applications/Internet
License:       GPL
Requires:      %{name} = %{version}-%{release}

%description ldap
Perdition allows for arbitrary user database access through shared
libraries much in the manner of NSS in glibc. This package allows a user
database to be sourced from LDAP.


%package mysql
Summary:       Library to allow perdition to access MySQL based pop maps
Group:         Applications/Internet
License:       GPL
Requires:      %{name} = %{version}-%{release}

%description mysql
Perdition allows for arbitrary user database access through shared
libraries much in the manner of NSS in glibc. This package allows a user
database stored in a MySQL database.


%package postgresql
Summary:       Library to allow perdition to access PostgreSQL based pop maps
Group:         Applications/Internet
License:       GPL
Requires:      %{name} = %{version}-%{release}

%description postgresql
Perdition allows for arbitrary user database access through shared
libraries much in the manner of NSS in glibc. This package allows a user
database stored in a PostgreSQL database.


%package odbc
Summary:       Library to allow perdition to access pop maps via ODBC
Group:         Applications/Internet
License:       GPL
Requires:      %{name} = %{version}-%{release}

%description odbc
Perdition allows for arbitrary user database access through shared
libraries much in the manner of NSS in glibc. This package allows a user
access databases via ODBC.



%prep
%setup -q
%patch0 -p1

%build

%configure --with-ldap-schema-directory=no --enable-shared --disable-static --disable-bdb
make %{?_smp_mflags}

%install
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig

make DESTDIR=$RPM_BUILD_ROOT install

install -m755 \
  ${RPM_BUILD_DIR}/perdition-%{version}/etc/rc.d/init.d/perdition.rh \
  ${RPM_BUILD_ROOT}/etc/rc.d/init.d/perdition
install -m644 ${RPM_BUILD_DIR}/perdition-%{version}/etc/sysconfig/perdition \
  ${RPM_BUILD_ROOT}/etc/sysconfig/perdition


# Don't install .la and .so files
rm $RPM_BUILD_ROOT/%{_libdir}/*.{la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add perdition
/sbin/ldconfig

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
	/sbin/service <script> stop >/dev/null 2>&1
	/sbin/chkconfig --del perdition
fi


%files
%defattr(-,root,root,-)
%doc README ChangeLog CODING_LOCATIONS TODO
%{_sbindir}/perdition
%{_sbindir}/perdition.pop3
%{_sbindir}/perdition.pop3s
%{_sbindir}/perdition.imap4
%{_sbindir}/perdition.imap4s
%{_sbindir}/perdition.imaps
%config /etc/pam.d/perdition
%config /etc/rc.d/init.d/perdition
%config /etc/sysconfig/perdition
%config /etc/perdition/perdition.conf
%{_mandir}/man8/perdition.*
%{_mandir}/man5/perditiondb.*

# nis map
%{_libdir}/libperditiondb_nis.so.0
%{_libdir}/libperditiondb_nis.so.0.0.0

# posix_regex map
%{_libdir}/libperditiondb_posix_regex.so.0
%{_libdir}/libperditiondb_posix_regex.so.0.0.0
%dir /etc/perdition
%config /etc/perdition/popmap.re

# gdbm map
%{_libdir}/libperditiondb_gdbm.so.0
%{_libdir}/libperditiondb_gdbm.so.0.0.0
%{_bindir}/makegdbm
%config /etc/perdition/Makefile
%config /etc/perdition/Makefile.popmap
%config /etc/perdition/popmap
%{_mandir}/man1/makegdbm.*

# daemon map
%{_libdir}/libperditiondb_daemon.so.0
%{_libdir}/libperditiondb_daemon.so.0.0.0
%{_libdir}/libperditiondb_daemon_base.so.0
%{_libdir}/libperditiondb_daemon_base.so.0.0.0

%files ldap
%defattr(-,root,root,-)
%doc perdition/db/ldap/perdition.schema
%{_libdir}/libperditiondb_ldap.so.0
%{_libdir}/libperditiondb_ldap.so.0.0.0
%{_sbindir}/perditiondb_ldap_makedb
%{_mandir}/man8/perditiondb_ldap_makedb.*

%post ldap -p /sbin/ldconfig

%postun ldap -p /sbin/ldconfig

%files mysql
%defattr(-,root,root,-)
%{_libdir}/libperditiondb_mysql.so.0
%{_libdir}/libperditiondb_mysql.so.0.0.0
%{_sbindir}/perditiondb_mysql_makedb
%{_mandir}/man8/perditiondb_mysql_makedb.*

%post mysql -p /sbin/ldconfig

%postun mysql -p /sbin/ldconfig

%files postgresql
%defattr(-,root,root,-)
%{_libdir}/libperditiondb_postgresql.so.0
%{_libdir}/libperditiondb_postgresql.so.0.0.0
%{_sbindir}/perditiondb_postgresql_makedb
%{_mandir}/man8/perditiondb_postgresql_makedb.*

%post postgresql -p /sbin/ldconfig

%postun postgresql -p /sbin/ldconfig

%files odbc
%defattr(-,root,root,-)
%{_libdir}/libperditiondb_odbc.so.0
%{_libdir}/libperditiondb_odbc.so.0.0.0
%{_sbindir}/perditiondb_odbc_makedb
%{_mandir}/man8/perditiondb_odbc_makedb.*

%post odbc -p /sbin/ldconfig

%postun odbc -p /sbin/ldconfig

%changelog
* Tue Feb 16 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 1.18-4
- Removing built in db4 plugin

* Fri Feb 05 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 1.18-3
- Adding rub patch (dbserver_inform)

* Mon Feb 01 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> 1.18-2
- Package for Rutgers

* Sat Sep 20 2009 Simon Horman <horms@verge.net.au> (0.0.8-1)
  new release
